Results 1 to 4 of 4

Thread: install libgtk-3-common error

  1. #1
    Join Date
    2013-Apr
    Posts
    162

    install libgtk-3-common error

    Dear , I am install libgtk-3-0_3.22.30-1_amd64.deb.

    my kali version

    uname --all
    Linux debian 4.15.0-kali3-amd64 #1 SMP Debian 4.15.17-1kali1 (2018-04-25) x86_64 GNU/Linux


    use dpkg -i libgtk*.deb

    it is show

    root@debian:~/Downloads# dpkg -i libgtk-3-0_3.22.30-1_amd64.deb
    (Reading database ... 378833 files and directories currently installed.)
    Preparing to unpack libgtk-3-0_3.22.30-1_amd64.deb ...
    Unpacking libgtk-3-0:amd64 (3.22.30-1) over (3.22.30-1) ...
    dpkg: dependency problems prevent configuration of libgtk-3-0:amd64:
    libgtk-3-0:amd64 depends on libgtk-3-common (>= 3.22.30-1); however:
    Version of libgtk-3-common on system is 3.22.29-3.

    dpkg: error processing package libgtk-3-0:amd64 (--install):
    dependency problems - leaving unconfigured
    Processing triggers for libc-bin (2.27-3) ...
    Errors were encountered while processing:
    libgtk-3-0:amd64


    apt-get install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    You might want to run 'apt --fix-broken install' to correct these.
    The following packages have unmet dependencies:
    libgail-3-0 : Depends: libgtk-3-0 (= 3.22.29-3) but 3.22.30-1 is installed
    libgtk-3-0 : Depends: libgtk-3-common (>= 3.22.30-1) but 3.22.29-3 is installed
    E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

    when i use
    apt --fix-broken install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
    accountsservice apg bubblewrap cheese-common colord colord-data couchdb
    cracklib-runtime cups-pk-helper default-jdk-headless dnsmasq-base
    erlang17-asn1 erlang17-base erlang17-crypto erlang17-eunit erlang17-inets
    erlang17-mnesia erlang17-os-mon erlang17-public-key erlang17-runtime-tools
    erlang17-snmp erlang17-ssl erlang17-syntax-tools erlang17-tools
    erlang17-webtool erlang17-xmerl espeak-ng-data evince-common
    evolution-data-server-common fastjar folks-common freepats gedit-common
    gir1.2-accountsservice-1.0 gir1.2-atk-1.0 gir1.2-atspi-2.0 gir1.2-cogl-1.0
    gir1.2-coglpango-1.0 gir1.2-freedesktop gir1.2-gck-1
    gir1.2-gdesktopenums-3.0 gir1.2-gdkpixbuf-2.0 gir1.2-gdm-1.0
    gir1.2-geoclue-2.0 gir1.2-gmenu-3.0 gir1.2-gst-plugins-base-1.0
    gir1.2-gstreamer-1.0 gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-4.0
    gir1.2-json-1.0 gir1.2-nm-1.0 gir1.2-notify-0.7 gir1.2-packagekitglib-1.0
    gir1.2-pango-1.0 gir1.2-polkit-1.0 gir1.2-rsvg-2.0 gir1.2-secret-1
    gir1.2-soup-2.4 gir1.2-totemplparser-1.0 gir1.2-upowerglib-1.0
    gnome-control-center-data gnome-desktop3-data gnome-keyring-pkcs11
    gnome-session-common gnome-shell-common gnome-software-common
    gnome-terminal-data gstreamer1.0-gl gstreamer1.0-libav
    gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly im-config jarwrapper
    java-wrappers libaccountsservice0 libadns1 libao-common libao4
    libapache2-mod-dnssd libappstream-glib8 libatk-wrapper-java libavfilter6
    libbrlapi0.6 libbs2b0 libbsh-java libcairo-gobject-perl libcamel-1.2-60
    libcaribou-common libclutter-1.0-common libcogl-common libcogl-pango20
    libcogl-path20 libcogl20 libcolord2 libcolorhug2 libcrack2
    libdbusmenu-gtk3-4 libde265-0 libdee-1.0-4 libdotconf0 libebackend-1.2-10
    libebook-1.2-19 libebook-contacts-1.2-2 libecal-1.2-19 libedata-book-1.2-25
    libedata-cal-1.2-28 libedataserver-1.2-22 libespeak-ng1 libflite1
    libflorence-1.0-1 libfluidsynth1 libfolks-telepathy25 libfolks25 libfwupd2
    libgcab-1.0-0 libgdm1 libgee-0.8-2 libgeocode-glib0
    libglib-object-introspection-perl libgnome-autoar-0-0 libgnome-menu-3-0
    libgnomekbd-common libgraphene-1.0-0 libgspell-1-common libgstreamer-gl1.0-0
    libgstreamer-plugins-bad1.0-0 libgtk-3-common libgtksourceview-3.0-common
    libgtop-2.0-11 libgtop2-common libgupnp-igd-1.0-4 libgusb2
    libgweather-common libhsqldb1.8.0-java libice-dev
    libjavascriptcoregtk-4.0-18 libjs-jquery-form liblilv-0-0 liblouis-data
    liblouis14 liblua5.1-0 libmaxminddb0 libmission-control-plugins0
    libmjpegutils-2.1-0 libmms0 libmodplug1 libmozjs-52-0 libmozjs185-1.0
    libmpeg2encpp-2.1-0 libmplex2-2.1-0 libmusicbrainz5-2 libmusicbrainz5cc2v5
    libmysofa0 libndp0 libnice10 libnm0 libnorm1 libnss-myhostname libofa0
    libopencore-amrnb0 libopencore-amrwb0 libpcaudio0 libpeas-common
    libpgm-5.2-0 libphonenumber7 libprotobuf10 libpwquality-common libpwquality1
    libpyzy-1.0-0v5 librubberband2 librygel-core-2.6-2 librygel-db-2.6-2
    librygel-renderer-2.6-2 librygel-server-2.6-2 libsctp1 libserd-0-0
    libservlet3.1-java libsidplay1v5 libsm-dev libsonic0 libsord-0-0
    libsoundtouch1 libspectre1 libspeechd2 libsratom-0-0 libsrtp2-1
    libstartup-notification0 libteamdctl0 libtelepathy-glib0 libvo-aacenc0
    libvo-amrwbenc0 libvte-2.91-common libwildmidi-config libwildmidi2
    libwnck-3-common libwoff1 libxcb-res0 libxklavier16 libxres1 libxt-dev
    libzbar0 libzeitgeist-2.0-0 libzmq5 mobile-broadband-provider-info
    mutter-common nautilus-data network-manager p11-kit p11-kit-modules pwgen
    python-adns python-anyjson python-couchdbkit python-easygui
    python-http-parser python-ipy python-levenshtein python-metaconfig
    python-mockito python-mpltoolkits.basemap-data python-msgpack python-ply
    python-pycryptodome python-pysmi python-pysnmp4 python-pysnmp4-apps
    python-pysnmp4-mibs python-restkit python-socketpool python-whoosh
    python-wxversion python3-advancedhttpserver python3-alembic python3-bcrypt
    python3-boltons python3-brlapi python3-dnspython python3-ecdsa
    python3-editor python3-email-validator python3-geoip2 python3-geojson
    python3-graphene python3-graphene-sqlalchemy python3-graphql-core
    python3-graphql-relay python3-icalendar python3-iso8601 python3-jsonschema
    python3-louis python3-mako python3-maxminddb python3-mpltoolkits.basemap
    python3-msgpack python3-nacl python3-pampy python3-paramiko python3-promise
    python3-psycopg2 python3-pyatspi python3-pyotp python3-pyproj python3-pyshp
    python3-requests-file python3-rx python3-singledispatch python3-smbc
    python3-software-properties python3-speechd python3-sqlalchemy
    python3-sqlalchemy-ext python3-tzlocal python3-websocket python3-xdg
    python3-xlsxwriter python3-yaml realmd rygel smitools
    software-properties-common sound-icons speech-dispatcher
    speech-dispatcher-audio-plugins speech-dispatcher-espeak-ng
    switcheroo-control telepathy-mission-control-5 totem-common
    unattended-upgrades xbrlapi xwayland yelp-xsl zeitgeist-core zenity-common
    zsh zsh-common
    Use 'apt autoremove' to remove them.
    The following additional packages will be installed:
    libreoffice-avmedia-backend-vlc pinentry-curses
    Suggested packages:
    pinentry-doc
    The following packages will be REMOVED:
    armitage baobab burpsuite caribou chrome-gnome-shell default-jdk default-jre
    dex2jar dirbuster eog evince evolution-data-server file-roller firefox-esr
    florence gcr gdm3 gedit gir1.2-caribou-1.0 gir1.2-clutter-1.0
    gir1.2-clutter-gst-3.0 gir1.2-evince-3.0 gir1.2-gcr-3
    gir1.2-gnomebluetooth-1.0 gir1.2-gnomedesktop-3.0 gir1.2-gtk-3.0
    gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-gweather-3.0
    gir1.2-mutter-2 gir1.2-nma-1.0 gir1.2-peas-1.0 gir1.2-totem-1.0
    gir1.2-vte-2.91 gir1.2-webkit2-4.0 gir1.2-wnck-3.0 gjs gkbd-capplet
    gnome-bluetooth gnome-calculator gnome-characters gnome-contacts
    gnome-control-center gnome-core gnome-disk-utility gnome-font-viewer
    gnome-keyring gnome-logs gnome-online-accounts gnome-orca gnome-session
    gnome-session-bin gnome-settings-daemon gnome-shell
    gnome-shell-extension-dashtodock gnome-shell-extension-easyscreencast
    gnome-shell-extension-proxyswitcher gnome-shell-extension-workspacestodock
    gnome-shell-extensions gnome-software gnome-sushi gnome-system-monitor
    gnome-terminal gnome-tweak-tool gnome-tweaks gnome-user-docs
    gnome-user-share google-chrome-stable gstreamer1.0-clutter-3.0 ibus
    ibus-clutter ibus-gtk3 ibus-pinyin javasnoop jsql-injection
    kali-desktop-gnome kali-linux kali-linux-full king-phisher
    libappindicator3-1 libatk-wrapper-java-jni libayatana-appindicator3-1
    libayatana-ido3-0.4-0 libayatana-indicator3-7 libcanberra-gtk3-0
    libcanberra-gtk3-module libcaribou0 libcheese-gtk25 libcheese8
    libclutter-1.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0
    libclutter-imcontext-0.1-0 libclutter-imcontext-0.1-bin libcolord-gtk1
    libedataserverui-1.2-1 libevdocument3-4 libevview3-3 libfolks-eds25
    libgail-3-0 libgcr-ui-3-1 libgjs0g libgnome-bluetooth13
    libgnome-desktop-3-17 libgnomekbd8 libgoa-backend-1.0-1 libgspell-1-1
    libgtk-3-0 libgtk-3-bin libgtk3-perl libgtkmm-3.0-1v5 libgtksourceview-3.0-1
    libgweather-3-15 libindicator3-7 libmutter-2-0 libnautilus-extension1a
    libnma0 libpeas-1.0-0 libreoffice libreoffice-avmedia-backend-gstreamer
    libreoffice-nlpsolver libreoffice-script-provider-bsh
    libreoffice-script-provider-js libreoffice-sdbc-hsqldb
    libreoffice-wiki-publisher libtotem0 libvte-2.91-0 libwebkit2gtk-4.0-37
    libwnck-3-0 libwxgtk3.0-gtk3-0v5 libyelp0 magictree maltego maltego-teeth
    mousetweaks mutter nautilus network-manager-gnome notification-daemon
    openjdk-8-jre openjdk-9-jdk openjdk-9-jre opera-stable orca oscanner paros
    patator pinentry-gnome3 powerfuzzer protos-sip python-faraday
    python-wxgtk3.0 python-wxtools qt5-gtk-platformtheme smali
    software-properties-gtk system-config-printer-common totem totem-plugins
    webscarab yelp zaproxy zenity
    The following NEW packages will be installed:
    libreoffice-avmedia-backend-vlc pinentry-curses
    0 upgraded, 2 newly installed, 163 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Need to get 100 kB of archives.
    After this operation, 1,364 MB disk space will be freed.
    Do you want to continue? [Y/n]


    So i choose NO . because it will delete gnome and many applications .

    Could some one can help me to back ? or fix apt-get install

  2. #2
    Join Date
    2016-Dec
    Posts
    208
    You are probably following some tutorial and you shouldn't install deb packages like that in Kali, especially when it's something that is already present in repository (don't know about the specific version though).

    What are you following or what are you trying to achieve?

  3. #3
    Join Date
    2013-Apr
    Posts
    162
    Quote Originally Posted by Mister_X View Post
    You are probably following some tutorial and you shouldn't install deb packages like that in Kali, especially when it's something that is already present in repository (don't know about the specific version though).

    What are you following or what are you trying to achieve?
    i got the wrong direction , when i install Seamonkey , i download the 32bit ,it can't run on 64bit kali ,

    So it will show can't find libgtk-3.so.0 , in fact , it is in Mozila .

    it is because i run the 32bit in 64bit kali .

    after i download https://packages.debian.org/sid/amd6...k-3-0/download

    and the problems are coming ,

    Would there are some way to go back ?

    i can't use apt-get install any software now ,

    thanks

  4. #4
    Join Date
    2013-Apr
    Posts
    162
    Solved sir , i choose yes , and software removed . then i make the .sh script ,apt-get install all of software which moved .

    it is back to work now . thanks

Similar Threads

  1. nfs-common not in latest build?
    By tapdanceman in forum General Archive
    Replies: 1
    Last Post: 2016-12-08, 12:37
  2. No common cd-rom drive detected installing from USB HDD
    By derpderp in forum Installing Archive
    Replies: 7
    Last Post: 2016-03-08, 08:15
  3. unable to install any package dpkg: error processing nfs-common
    By k.v.manjunath in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-06-09, 04:33

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •